OPARCHIVE(1)

NAME
oparchive - produce archive of oprofile data for offline analysis

SYNOPSIS
oparchive [ options ] [profile specification] -o [directory]

DESCRIPTION
The oparchive utility is commonly used for collecting profile data on a "target" system for future offline analysis on a different ("host") machine. oparchive creates a directory populated with executables, libraries, debuginfo files, and oprofile sample files. This directory can be tar'ed up and moved to another machine to be analyzed without further use of the target machine. Using opreport and other post-profiling tools against archived data requires the use of the archive:<archived-dir> specification. See oprofile(1) for how to write profile specifications. A complete description of offline analysis can be found in the chapter titled Analyzing profile data on another system (oparchive) of the OProfile user manual. (See the user manual URL in the "SEE ALSO" section below.)

OPTIONS

--help / -? / --usage
    Show help message.

--version / -v
    Show version.

--verbose / -V [options]
    Give verbose debugging output.

--session-dir=dir_path
    Use sample database from the specified directory dir_path instead of the default location. If --session-dir is not specified, then oparchive will search for samples in <current_dir>/oprofile_data first. If that directory does not exist, the standard session-dir of /var/lib/oprofile is used.

--image-path / -p [paths]
    Comma-separated list of additional paths to search for binaries. This is needed to find modules in kernels 2.6 and upwards.

--root / -R [path]
    A path to a filesystem to search for additional binaries.

--output-directory / -o [directory]
    Output to the given directory. There is no default. This must be specified.

--exclude-dependent / -x
    Do not include application-specific images for libraries, kernel modules and the kernel. This option only makes sense if the profile session used --separate.

--list-files / -l
    Only list the files that would be archived, don't copy them.

ENVIRONMENT
No special environment variables are recognized by oparchive.

FILES

<session_dir>/samples
    The location of the generated sample files.

VERSION

This man page is current for oprofile-1.3.0.

SEE ALSO
file:///usr/share/doc/oprofile/oprofile.html#oparchive
opimport(1)
oprofile(1)